Bug 736165 - Providing native systemd file for F15 Feature Systemd
Summary: Providing native systemd file for F15 Feature Systemd
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: iwhd
Version: 1.0.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
Assignee: Pete Zaitcev
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 21:23 UTC by Joe Vlcek
Modified: 2012-02-27 21:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-27 21:04:35 UTC


Attachments (Terms of Use)

Description Joe Vlcek 2011-09-06 21:23:43 UTC
Description of problem:

On F15 if mongod is not running then "service iwhd start" fails with little indication as to why.

We need a native iwhd systemd unit file for f15

See bug: https://bugzilla.redhat.com/show_bug.cgi?id=659633

The same issue described in this bug needs to addressed for iwhd.

Comment 2 Pete Zaitcev 2011-09-20 15:26:09 UTC
Jim committed a change to the start-up script, which reports the failure
exit code properly. This ought to relieve the immediate problem.

Supporting native systemd requires some development beyond writing
iwhd.service. Most importantly, we cannot depend on Mongo in any way,
since it's not native under systemd. Therefore, iwhd has to reconnect.
The code has provisions for it, but it didn't work. I think I fixed it.
That is going to be committed under auspices of this bug.

Comment 3 wes hayutin 2011-09-28 16:41:05 UTC
making sure all the bugs are at the right version for future queries

Comment 5 Pete Zaitcev 2011-10-20 16:43:29 UTC
See also https://www.aeolusproject.org/redmine/issues/2607

Comment 6 Pete Zaitcev 2011-11-09 20:03:57 UTC
Most of the fix is in:
 http://git.fedorahosted.org/git/?p=iwhd.git;a=commitdiff;h=3717cc6cd346c48c369cc985366f158305fd79bf
We still need some spec adjustments (for rpmlint warnings).

Comment 7 Steve Linabery 2012-01-11 19:24:16 UTC
3717cc6cd346c48c369cc985366f158305fd79bf is in iwhd-1.2-3.el6

Comment 9 wes hayutin 2012-02-27 21:04:35 UTC
f15 is not supported


Note You need to log in before you can comment on or make changes to this bug.